{
  "name": "spector-content-api-v2",
  "version": "2.0.0",
  "description": "Spector VISION API",
  "author": "Spiral Technology",
  "private": true,
  "license": "MIT",
  "scripts": {
    "build:prod": "tsc -p tsconfig.build.json",
    "postbuild:prod": "copyfiles --up 1 src/**/*.json dist",
    "start:hmr": "node dist/main.hmr.ts",
    "start:dev": "ts-node src/main.ts",
    "start:prod": "node dist/main.js",
    "typeorm": "ts-node node_modules/typeorm/cli.js -f ormconfig",
    "migration:generate": "yarn run typeorm migration:generate -d src/database/migrations -n",
    "migration:create": "yarn run typeorm migration:create -d src/database/migrations -n",
    "new": "hygen new",
    "migration:revert": "yarn run typeorm migration:revert",
    "schema:drop": "yarn run typeorm schema:drop",
    "watch:dev": "ts-node-dev src/main.ts",
    "debug:dev": "cross-env TS_NODE_CACHE=false ts-node-dev --inspect --ignore '/^src/.*\\.spec\\.ts$/' src/main.ts",
    "webpack": "webpack --config webpack.config.js --progress",
    "lint": "eslint . --ext .ts",
    "lint:fix": "eslint --fix . --ext .ts",
    "test": "NODE_ENV=test jest",
    "test:watch": "NODE_ENV=test jest --watch",
    "test:cov": "NODE_ENV=test jest --coverage",
    "test:debug": "NODE_ENV=test node --inspect-brk -r ts-node/register node_modules/.bin/jest --runInBand",
    "copy:lib": "cpx 'src/lib/**/{files,workspace}/**/*.*' dist/lib && cpx 'src/lib/**/{files,workspace}/**/.!(gitignore)' dist/lib",
    "test:e2e": "NODE_ENV=test jest --config ./test/jest-e2e.json",
    "docs:dev": "vuepress dev -p 7070",
    "docs:build": "DEPLOY_ENV=gh-pages vuepress build",
    "docs:deploy": "yarn docs:build && gh-pages -d .vuepress/dist",
    "prepare": "husky install",
    "prerelease": "yarn docs:deploy",
    "release": "release-it"
  },
  "dependencies": {
    "@nestjs/axios": "^0.1.0",
    "@nestjs/common": "^9.0.11",
    "@nestjs/config": "^2.2.0",
    "@nestjs/core": "^9.0.11",
    "@nestjs/cqrs": "^9.0.1",
    "@nestjs/jwt": "^9.0.0",
    "@nestjs/microservices": "^9.0.11",
    "@nestjs/passport": "^9.0.0",
    "@nestjs/platform-express": "^9.0.11",
    "@nestjs/swagger": "^6.1.2",
    "@nestjs/terminus": "^9.1.1",
    "@nestjs/typeorm": "^9.0.1",
    "aws-sdk": "^2.1216.0",
    "bcrypt": "^5.0.1",
    "cache-manager-redis-store": "^2.0.0",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.13.2",
    "compression": "^1.7.4",
    "express": "^4.18.1",
    "express-ctx": "^0.1.1",
    "express-rate-limit": "^6.6.0",
    "helmet": "^6.0.0",
    "jsonwebtoken": "^8.5.1",
    "lodash": "^4.17.21",
    "mime-types": "^2.1.35",
    "morgan": "^1.10.0",
    "nats": "^2.7.1",
    "nestjs-i18n": "^9.1.10",
    "passport": "^0.6.0",
    "passport-jwt": "^4.0.0",
    "pg": "^8.8.0",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.5.6",
    "source-map-support": "^0.5.21",
    "swagger-ui-express": "^4.5.0",
    "typeorm": "^0.3.9",
    "typeorm-transactional-cls-hooked": "git+https://github.com/jczacharia/typeorm-transactional-cls-hooked.git",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@handfish/hygen": "^6.1.6",
    "@nestjs/cli": "^9.1.3",
    "@nestjs/testing": "^9.0.11",
    "@types/bcrypt": "^5.0.0",
    "@types/cache-manager-redis-store": "^2.0.1",
    "@types/compression": "^1.7.2",
    "@types/express": "^4.17.14",
    "@types/jest": "^29.0.2",
    "@types/jsonwebtoken": "^8.5.9",
    "@types/lodash": "^4.14.185",
    "@types/mime-types": "^2.1.1",
    "@types/morgan": "^1.9.3",
    "@types/node": "^18.7.18",
    "@types/passport-jwt": "^3.0.6",
    "@types/supertest": "^2.0.12",
    "@types/uuid": "^8.3.4",
    "@types/webpack-env": "^1.18.0",
    "@typescript-eslint/eslint-plugin": "^5.37.0",
    "@typescript-eslint/parser": "^5.37.0",
    "clean-webpack-plugin": "^4.0.0",
    "copyfiles": "^2.4.1",
    "cpx": "^1.5.0",
    "cross-env": "^7.0.3",
    "eslint": "^8.23.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-import-resolver-typescript": "^3.5.1",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-import-helpers": "^1.2.1",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-simple-import-sort": "^8.0.0",
    "eslint-plugin-sonarjs": "^0.15.0",
    "eslint-plugin-unicorn": "^43.0.2",
    "gh-pages": "^4.0.0",
    "husky": "^8.0.1",
    "jest": "^29.0.3",
    "lint-staged": "~13.0.3",
    "prettier": "^2.7.1",
    "release-it": "^15.4.2",
    "supertest": "^6.2.4",
    "ts-jest": "^29.0.1",
    "ts-loader": "^9.3.1",
    "ts-node": "^10.9.1",
    "ts-node-dev": "^2.0.0",
    "typescript": "^4.8.3",
    "vuepress": "^2.0.0-beta.35",
    "webpack": "^5.74.0",
    "webpack-cli": "^4.10.0",
    "webpack-node-externals": "^3.0.0"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
